Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Judging from Internet forums, these errors appear to be popular when attempting to install packages:

steve:~$ sudo aptitude install examplepackage 
The following NEW packages will be installed:
  examplepackage examplepackage-common{a} 
0 packages upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 1,834 kB of archives. After unpacking 7,631 kB will be used.
Do you want to continue? [Y/n/?] 
WARNING: untrusted versions of the following packages will be installed!

Untrusted packages could compromise your system's security.
You should only proceed with the installation if you are certain that
this is what you want to do.

  examplepackage examplepackage-common 

Do you want to ignore this warning and proceed anyway?
To continue, enter "Yes"; to abort, enter "No": Yes
E: The method driver /usr/lib/apt/methods/http could not be found.
E: The method driver /usr/lib/apt/methods/http could not be found.
E: Internal error: couldn't generate list of packages to download

I followed this post by uninstalling ubuntu-keyring. But I cannot reinstall ubuntu-keyring or ubuntu-minimal -- the above errors reappear.

In fact, I don't even seem to have apt (I must have caused this along the way by trying a bad solution, or maybe a clean):

steve:~$ sudo apt-get update
sudo: apt-get: command not found

Aptitude works, but I can't install apt:

steve:~$ sudo aptitude install apt
The following NEW packages will be installed:
  apt 
0 packages upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 1,046 kB of archives. After unpacking 3,441 kB will be used.
E: The method driver /usr/lib/apt/methods/http could not be found.
E: The method driver /usr/lib/apt/methods/http could not be found.
E: Internal error: couldn't generate list of packages to download

...or update

steve:~$ sudo aptitude update
E: The method driver /usr/lib/apt/methods/http could not be found.
E: The method driver /usr/lib/apt/methods/http could not be found.
E: The method driver /usr/lib/apt/methods/http could not be found.

I tried this post. Didn't help.


To summarize, the main problem is that I cannot install anything. While attempting to fix the problem, the other aforementioned errors occurred. Can you help me fix this error? Feel free to ask if you need more information.


Stats:

steve:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description:    Ubuntu 11.10
Release:    11.10
Codename:   oneiric
share|improve this question
add comment

1 Answer 1

I decided to manually install apt from http://packages.ubuntu.com. That fixed everything. It repopulated both /etc/apt and /usr/lib/apt/methods.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.